# HLAvariableArray< M, false > Struct Template Reference

`#include <HLAvariableArray.hh>`

List of all members.

## Public Member Functions
HLAinteger32BE & | size () const
| Get/Set array size, without memory management.
void | set_size (long i)
| Set array size, with memory management.
M & | operator[] (long i) const
const size_t | __sizeof () const
void | copy (void *source)
## Static Public Member Functions
static const size_t | offset (long i)
static const size_t | emptysizeof ()
## Static Public Attributes
static const size_t | m_octetBoundary
static const bool | m_isVariable = true

## Detailed Description

### template<class M>
struct libhla::libhla::HLAvariableArray< M, false >

Definition at line 56 of file HLAvariableArray.hh.

## Member Function Documentation

HLAinteger32BE& size | ( |  | ) | const`[inline]`

Get/Set array size, without memory management.

Definition at line 62 of file HLAvariableArray.hh.

void set_size | ( | long | i | ) | `[inline]`

Set array size, with memory management.

Definition at line 66 of file HLAvariableArray.hh.

References libhla::__padding(), and __HLAbuffer::shake().

Here is the call graph for this function:

static const size_t offset | ( | long | i | ) | `[inline, static]`

Definition at line 76 of file HLAvariableArray.hh.

References libhla::__padding().

Here is the call graph for this function:

M& operator[] | ( | long | i | ) | const`[inline]`

Definition at line 79 of file HLAvariableArray.hh.

static const size_t emptysizeof | ( |  | ) | `[inline, static]`

Definition at line 86 of file HLAvariableArray.hh.

References libhla::__padding(), and HLAbasicType::__sizeof().

Here is the call graph for this function:

const size_t __sizeof | ( |  | ) | const`[inline]`

Definition at line 90 of file HLAvariableArray.hh.

void copy | ( | void * | source | ) | `[inline]`

Definition at line 98 of file HLAvariableArray.hh.

References __HLAbuffer::__buffer(), libhla::__padding(), __HLAbuffer::mShakeThat, and __HLAbuffer::mShakeValue.

Here is the call graph for this function:

## Member Data Documentation

const size_t m_octetBoundary`[static]`

Initial value:

            MAX(HLAinteger32BE::m_octetBoundary, M::m_octetBoundary)

Definition at line 121 of file HLAvariableArray.hh.

const bool m_isVariable = true`[static]`

Definition at line 123 of file HLAvariableArray.hh.

The documentation for this struct was generated from the following file:

- HLAvariableArray.hh